import { Entity, OneToMany } from "typeorm";
import { Participant } from "./Participant";
import { RunnerGroup } from "./RunnerGroup";

/**
 * Defines a group's contact.
*/
@Entity()
export class GroupContact extends Participant{
  /**
    * Used to link runners to donations.
    */
  @OneToMany(() => RunnerGroup, group => group.contact)
  groups: RunnerGroup[];
}